Skip to main content
`Ctrl`+`K`

# PetscDSGetImplicit

Returns the flag for implicit solve for this field. This is just a guide for `TSIMEX`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetImplicit(PetscDS prob, PetscInt f, PetscBool *implicit)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- f - The field number

## Output Parameter

- implicit - The flag indicating what kind of solve to use for this field

## See Also

`TSIMEX`, `PetscDS`, `PetscDSSetImplicit()`, `PetscDSSetDiscretization()`, `PetscDSAddDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

developer

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages